org.eclipse.emf.cdo.server.ocl

## Interface OCLExtentCreator

- All Known Implementing Classes:
    CDOExtentCreator, CDOExtentCreator.Lazy

      public interface OCLExtentCreator

  Creates extents of `classes`.

  The `extent` of a `class` X is the set of all `objects` with `object.getEClass() == X`.

  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<EObject>` | `createExtent(EClass cls, AtomicBoolean canceled)`

- - ### Method Detail

    - #### createExtent

          Set<EObject> createExtent(EClass cls,
                                    AtomicBoolean canceled)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html